/****************************************************************************
 *  Familia Lignum - Genealogical program                                   *
 *  Copyright (C) 2011-2012 Rafał Długołęcki <rafal@dlugolecki.net.pl>      *
 *                                                                          *
 *  This program is free software; you can redistribute it and/or modify    *
 *  it under the terms of the GNU General Public License as published by    *
 *  the Free Software Foundation; version 2 of the License.                 *
 *                                                                          *
 *  This program is distributed in the hope that it will be useful,         *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *  GNU General Public License for more details.                            *
 *                                                                          *
 *  You should have received a copy of the GNU General Public License along *
 *  with this program; if not, write to the Free Software Foundation, Inc., *
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.             *
 *                                                                          *
 ****************************************************************************/

#include "file.h"

namespace file {

File::File(const String filepath) {
  details.path = filepath.substr(0,
				 filepath.find_last_of("/"));
  details.name = filepath.substr(filepath.find_last_of("/") + 1,
				 filepath.find_last_of("."));
  details.extension = filepath.substr(filepath.find_last_of(".") + 1);
	       
  //In derived class implement here reading file
}

File::~File() {
  individuals.clear();
  families.clear();
  views.clear();
}

bool File::on_draw(const Cairo::RefPtr<Cairo::Context>& cr) {
  Gtk::Allocation allocation = get_allocation();
  const int width = allocation.get_width();
  const int height = allocation.get_height();

  cr->rectangle(0,0,width, height);
  cr->set_source_rgba(1, 1, 1, 1);
  cr->fill();

  Individuals::iterator it;
  for(it = individuals.begin(); it != individuals.end(); it++) {
    //    cout << "Drawing: " << it->first << endl;
    it->draw(cr);
  }

  return true;
}

};
